Page MenuHomePhabricator

update mobileview API to support magic word
Closed, ResolvedPublic

Description

  • API should consume new wikidata description end point
  • API should return correct description and the source

Related patch updating MobileFrontend page output: https://gerrit.wikimedia.org/r/#/c/425911/

Event Timeline

LGoto created this task.Apr 23 2018, 7:21 PM
LGoto triaged this task as Normal priority.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 23 2018, 7:21 PM

(As the task description mentions a Gerrit patch which is linked to T190953, I'm wondering what's the relation of this task to T190953?)

@Aklapper The patch was brought up at a meeting yesterday as possibly resolving the issue. I just reviewed the patch and it actually doesn't update ApiMobileView as we need, but might point us in the right direction. I'll update the description.

Mholloway updated the task description. (Show Details)Apr 24 2018, 12:37 PM
Fjalapeno raised the priority of this task from Normal to High.
Mhurd added a subscriber: Mhurd.Apr 30 2018, 10:00 PM
bearND claimed this task.

Change 430246 had a related patch set uploaded (by BearND; owner: BearND):
[mediawiki/extensions/MobileFrontend@master] Get overridden description in mobileview API

https://gerrit.wikimedia.org/r/430246

Change 430246 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Get overridden description in mobileview API

https://gerrit.wikimedia.org/r/430246

bearND closed this task as Resolved.

https://en.wikipedia.org/w/api.php?action=mobileview&format=json&page=Wagon_Train&sections=0&prop=description%7Csections

{
  "mobileview": {
    "description": "Western television series aired 1957-1965",
    "descriptionsource": "local",
[...]
Vvjjkkii renamed this task from update mobileview API to support magic word to qeeaaaaaaa.Jul 1 2018, 1:14 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed bearND as the assignee of this task.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
AntiCompositeNumber renamed this task from qeeaaaaaaa to update mobileview API to support magic word.Jul 1 2018, 4:14 AM
AntiCompositeNumber closed this task as Resolved.
AntiCompositeNumber assigned this task to bearND.
AntiCompositeNumber updated the task description. (Show Details)